Incidencia #654 (closed Error: Resuelto)

Abierto hace 5 años

Última modificación 5 años

Problemas con el navegador cunaguro y el soporte de idiomas para el mismo

Informado por: obiwan Propietario: HuntingBears
Prioridad: Alta Hito: Canaima Popular 4.0~b2
Componente: Canaima Popular Versión: 4.0
Gravedad: Importante Palabras clave: cunaguaro, guacharo
Cc: Asignar A:

Descripción

al abrir el navegador cunaguaro el mismo sale en ingles, luego al instalar el paquete cunaguaro-l10n-es-es dice que se instala pero el navegador sigue saliendo en ingles y cuando buscas en los complementos y te vas al area de las extenciones no esta intstalado.

Adjuntos

47.png (234.6 KB) - añadido por HuntingBears hace 5 años.
Captura de pantalla mostrando Cunaguaro en el idioma correcto.

Historial de cambios

comment:1 seguimiento: ↓ 2 Cambiado el 5 años por erickcion

Revisando por la Web encontré un desarrollador de acá mismo de Venezuela que consiguió solucionar el problema del idioma para Cunaguaro 22.

Según lo que pude ver, revisando su script, es problema se debe a una mala ubicación del paquete XPI del idioma. Las diferencias son las siguientes:

cunaguro-l10n-es-ar:    /usr/lib/cunaguaro/extensions/
Script del Desarroll.:  /usr/lib/cunaguaro/browser/extensions/

Resta revisar por qué y dónde en el proceso de empaquetado, Cunaguaro omite el directorio "browser/".

Creo que el desarrollador no posee el script en un repositorio público aparte del facebook. Pero en resumidas cuentas, en la parte que nos compete, lo que hace es copiar el archivo .xpi a la carpeta correcta.

comment:2 en respuesta a: ↑ 1 Cambiado el 5 años por erickcion

  • Palabras clave cunaguaro, guacharo añadidos; canaima, error eliminados
  • Estado cambiado de new to accepted
  • Tipo cambiado de No Definido to Error
  • Propietario cambiado de Canaima Popular a erickcion
  • Hito cambiado de Soporte Técnico to canaima-popular-4.0~b2

Replying to erickcion:

Creo que el desarrollador no posee el script en un repositorio público aparte del facebook. Pero en resumidas cuentas, en la parte que nos compete, lo que hace es copiar el archivo .xpi a la carpeta correcta.


Mientras tanto pueden ver una copia acá:

Solución Propuesta (por José Albert)

comment:3 Cambiado el 5 años por erickcion

Posiblemente relacionado con #512

Cambiado el 5 años por HuntingBears

Captura de pantalla mostrando Cunaguaro en el idioma correcto.

comment:4 Cambiado el 5 años por HuntingBears

  • Propietario cambiado de erickcion a HuntingBears

Este error ha sido atacado introduciendo una versión superior de Cunaguaro (23.0-2), el cual no tiene problemas con la ubicación de los paquetes de traducción.

Se puede confirmar la corrección en la siguiente captura de pantalla.

Captura de pantalla mostrando Cunaguaro en el idioma correcto.

¿Alguien más puede confirmar la resolución?

~Luis

comment:5 Cambiado el 5 años por HuntingBears

  • Estado cambiado de accepted to in_progress

comment:6 Cambiado el 5 años por erickcion

  • Estado cambiado de in_progress to resuelta
  • Resolución establecido a Fijada

La nueva instalación de Cunaguaro se realizó correctamente y el idioma español es reconocido por el navegador.

En el caso de Guacharo, instale el paquete guacharo-l10n-es-es y también fue reconocido correctamente.

comment:7 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed
Nota: Vea TracTickets para ayuda en el uso de incidencias.